## org.apache.batik.bridge
Class SVGAnimationEngine.AnimatablePreserveAspectRatioValueFactory

    java.lang.Object
      org.apache.batik.bridge.SVGAnimationEngine.AnimatablePreserveAspectRatioValueFactory

All Implemented Interfaces:
  SVGAnimationEngine.Factory

Enclosing class:
  SVGAnimationEngine

    protected class SVGAnimationEngine.AnimatablePreserveAspectRatioValueFactory

extends java.lang.Object
implements SVGAnimationEngine.Factory

Factory class for `AnimatablePreserveAspectRatioValue`s.

Field Summary
`protected short` `align` The parsed 'align' value.
`protected DefaultPreserveAspectRatioHandler` `handler` Handler for the preserveAspectRatio parser.
`protected short` `meetOrSlice` The parsed 'meetOrSlice' value.
`protected PreserveAspectRatioParser` `parser` Parser for preserveAspectRatio values.

Constructor Summary
`SVGAnimationEngine.AnimatablePreserveAspectRatioValueFactory()` Creates a new AnimatablePreserveAspectRatioValueFactory.

Method Summary
`AnimatableValue` `createValue(AnimationTarget target, java.lang.String ns, java.lang.String ln, boolean isCSS, java.lang.String s)` Creates a new AnimatableValue from a string.
`AnimatableValue` `createValue(AnimationTarget target, java.lang.String pn, Value v)` Creates a new AnimatableValue from a CSS `Value`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### align

    protected short align

  The parsed 'align' value.

### meetOrSlice

    protected short meetOrSlice

  The parsed 'meetOrSlice' value.

### parser

    protected PreserveAspectRatioParser parser

  Parser for preserveAspectRatio values.

### handler

    protected DefaultPreserveAspectRatioHandler handler

  Handler for the preserveAspectRatio parser.

Constructor Detail

### SVGAnimationEngine.AnimatablePreserveAspectRatioValueFactory

    public SVGAnimationEngine.AnimatablePreserveAspectRatioValueFactory()

  Creates a new AnimatablePreserveAspectRatioValueFactory.

Method Detail

### createValue

    public AnimatableValue createValue(AnimationTarget target,
                                       java.lang.String ns,
                                       java.lang.String ln,
                                       boolean isCSS,
                                       java.lang.String s)

  Creates a new AnimatableValue from a string.

  Specified by:
    `createValue` in interface `SVGAnimationEngine.Factory`

### createValue

    public AnimatableValue createValue(AnimationTarget target,
                                       java.lang.String pn,
                                       Value v)

  Creates a new AnimatableValue from a CSS `Value`. Returns null since preserveAspectRatio values aren't used in CSS values.

  Specified by:
    `createValue` in interface `SVGAnimationEngine.Factory`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.